## pass-import-3.2.tar.gz

=== Makefile ===
DESTDIR ?= /

all:
	@python3 setup.py build
	@echo "pass-import was built successfully. You can now install it wit \"make install\""

install:
	@python3 setup.py install --root="$(DESTDIR)" --optimize=1 --skip-build
	@echo "pass-import is installed succesfully"

local:
	@python3 setup.py install --user --optimize=1
	@echo "pass-import is localy installed succesfully."
	@echo "Remember to set PASSWORD_STORE_ENABLE_EXTENSIONS to 'true' for the extension to be enabled."

tests:
	@python3 -m green -vvv --run-coverage --termcolor --processes $(shell nproc)
	@coverage html

lint:
	@prospector --profile .prospector.yaml --strictness veryhigh \
		-t dodgy -t mccabe -t pep257 -t pep8 -t pylint \
		-t profile-validator -t pyflakes -t pyroma \
		pass_import/
	@prospector --profile .prospector.yaml --strictness veryhigh \
		-t dodgy -t mccabe -t pep257 -t pep8 -t pylint \
		-t profile-validator -t pyflakes -t pyroma \
		.updatedoc.py setup.py
	@prospector --profile tests/assets/prospector.yaml --strictness veryhigh \
		-t dodgy -t mccabe -t mypy -t pep257 -t pep8 -t pylint \
		-t profile-validator -t pyflakes -t pyroma \
		tests/

security:
	@bandit --ini .bandit -r pass_import tests setup.py docs/updatedoc.py

export PYTHONPATH = ./
docs:
	@python3 .updatedoc.py

clean:
	@rm -rf .coverage .mypy_cache .pybuild .ropeproject build config.json \
		debian/.debhelper debian/debhelper* debian/pass-extension-import* \
		dist *.egg-info htmlcov pass_import/**/__pycache__/ */__pycache__/ \
		__pycache__ session.baseline.sqlite session.sqlite \
		tests/assets/gnupg/random_seed tests/assets/test-results/ \
		tests/**/__pycache__/

.PHONY: install uninstall local tests lint security docs clean

=== debian/changelog ===
pass-import (3.2) unstable; urgency=medium

  * Release pass-import v3.2

 -- Alexandre Pujol <alexandre@pujol.io>  Sun, 16 May 2021 15:11:08 +0000

pass-import (3.1-1) unstable; urgency=medium

  * pass-import 3.1

 -- Alexandre Pujol <alexandre@pujol.io>  Fri, 25 Oct 2020 22:06:30 +0100

pass-import (3.0-1) unstable; urgency=medium

  * Initial release

 -- Alexandre Pujol <alexandre@pujol.io>  Fri, 24 Apr 2020 20:30:06 +0100

=== debian/control ===
Source: pass-import
Section: admin
Priority: optional
Maintainer: Alexandre Pujol <alexandre@pujol.io>
Build-Depends:
  debhelper-compat (= 12),
  dh-python,
  python3,
  python3-setuptools,
Standards-Version: 4.5.0
Homepage: https://github.com/roddhjav/pass-import
Testsuite: autopkgtest-pkg-python

Package: pass-extension-import
Architecture: all
Depends:
  ${misc:Depends},
  ${python3:Depends},
  pass (>= 1.7.0),
  python3 (>= 3.6),
  python3-yaml,
Recommends:
  python3-defusedxml,
  python3-secretstorage,
  python3-cryptography,
Description: passwords importer swiss army knife (pass extensions)
 An extension to import data from most of the existing password manager.
 .
 This package provides an extension for the password store that allows one to
 use import passwords. It also provide the pimport script to support other
 passwod managers as destination.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pass-import

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	echo "Skip tests"
